The BOOST_PP_NIL identifier is reserved by the library to indicate a non-macro.

#### Usage

BOOST_PP_NIL

#### Remarks

This identifier is not defined. Its purpose is to not be a macro. It is also used to terminate a list.

#### Sample Code

    #include <boost/preprocessor/list/adt.hpp>

    #define LIST (x, (y, (z, BOOST_PP_NIL)))

    BOOST_PP_LIST_FIRST(x) // expands to x
    BOOST_PP_LIST_REST(x) // expands to (y, (z, BOOST_PP_NIL))